import re

class TextCleaner:
    @staticmethod
    def clean_text(text: str) -> str:
        """
        Limpia y normaliza el texto eliminando caracteres innecesarios y espacios en blanco.
        """
        text = re.sub(r'\s+', ' ', text).strip()
        text = re.sub(r'([^\w\s.,;:()])', '', text)
        text = re.sub(r'\n{2,}', '\n\n', text)
        return text
